6月 20

この weblog を運用している FreeBSD 9-STABLE、昨日 ports の subversion が 1.8.0 になっていたので、喜んでアップデートしました。
ところが、

# svn update /usr/src

してみると

svn: E155036: Please see the 'svn upgrade' command
svn: E155036: The working copy at '/usr/src'
is too old (format 29) to work with client version '1.8.0 (r1490375)' (expects format 31). You need to upgrade the working copy first.

と、エラーを吐いてしまいました。
svn upgrade すればいいのかと思い、

# svn upgrade /usr/src

としてから再度

# svn update /usr/src

してみたのですが、またエラー。
仕方ないので、/usr/src/ を /usr/src.old/ に退避してから

 
# svn checkout https://svn0.us-west.FreeBSD.org/base/stable/9 /usr/src

としてみましたが、

 
svn: E170000: Unrecognized URL scheme for 'https://svn0.us-west.freebsd.org/base/stable/9'

と、エラーを吐いてしまいます。

で、取り敢えず、ftp://ftp.jp.freebsd.org/pub/FreeBSD/ports/amd64/packages-9-stable/devel/ の一覧にある subversion-1.7.9_1.tbz をインストールして凌ぐことにしました。

う〜ん、どなたか対処法ご存じの方いらっしゃいません?

関連記事

 
Posted: 6月 20日 2013 at 20:29 7,363 views   Tagged with:


にほんブログ村 PC家電ブログ Macへ にほんブログ村 野球ブログ 広島東洋カープへ にほんブログ村 写真ブログ デジタル一眼レフカメラへ 人気ブログランキングへ 広島ブログ


週刊 鉄道ペディア 国鉄JR篇 JTB Time Table MacPeople Software Design Hiroshima Athlete Magazine EIZOダイレクト フォトブック作成サービスcocoal(ココアル)
preload preload preload